Bug 246106 - killswitch error message repeats far too often
killswitch error message repeats far too often
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 11:32 EDT by darrell pfeifer
Modified: 2007-12-09 21:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-09 21:59:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darrell pfeifer 2007-06-28 11:32:25 EDT
Description of problem:

The killswitch error message is repeating every few seconds. This is way too much.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I'll open a separate entry with the hardware details. This bug is strictly to
see if the error message frequency could be reduced to a reasonable level.

Jun 28 08:24:40 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.UnknownError - An Error occurred. The Error
message is:    Could not open file /sys/devices/platform/dcdbas/smi_data. Check
that dcdbas driver is properly loaded. 
Jun 28 08:24:47 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.UnknownError - An Error occurred. The Error
message is:    Could not open file /sys/devices/platform/dcdbas/smi_data. Check
that dcdbas driver is properly loaded. 
Jun 28 08:24:53 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.UnknownError - An Error occurred. The Error
message is:    Could not open file /sys/devices/platform/dcdbas/smi_data. Check
that dcdbas driver is properly loaded. 
Jun 28 08:24:59 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.UnknownError - An Error occurred. The Error
message is:    Could not open file /sys/devices/platform/dcdbas/smi_data. Check
that dcdbas driver is properly loaded.
Comment 1 Tom London 2007-08-09 09:26:41 EDT
Similar message started appearing recently:

Aug  9 06:17:24 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.KillSwitch.NotSupported - Access type not
supported
Aug  9 06:18:25 localhost NetworkManager:last message repeated 10 times
Aug  9 06:19:31 localhost NetworkManager:last message repeated 11 times


Have a logfile full of them.  Anyway to stop them?

Flipping the wireless kill switch to 'kill wireless' and then back to 'allow
wireless' results in:

Aug  9 06:17:24 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.KillSwitch.NotSupported - Access type not
supported
Aug  9 06:18:25 localhost NetworkManager:last message repeated 10 times
Aug  9 06:19:31 localhost NetworkManager:last message repeated 11 times
Aug  9 06:20:37 localhost NetworkManager:last message repeated 11 times
Aug  9 06:21:43 localhost NetworkManager:last message repeated 11 times
Aug  9 06:17:24 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.KillSwitch.NotSupported - Access type not
supported
Aug  9 06:21:54 localhost ntpd[2421]: synchronized to 193.11.184.180, stratum 2
Aug  9 06:21:56 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.KillSwitch.NotSupported - Access type not
supported
Aug  9 06:23:02 localhost NetworkManager:last message repeated 11 times
Aug  9 06:24:08 localhost NetworkManager:last message repeated 11 times
Aug  9 06:25:11 localhost NetworkManager:last message repeated 10 times
Aug  9 06:25:11 localhost kernel: iwl3945: Unhandled INTA bits 0x04000000
Aug  9 06:25:11 localhost kernel: iwl3945: Disabled INTA bits 0x04000000 were
pending
Aug  9 06:25:11 localhost kernel: iwl3945:    with FH_INT = 0x00000000
Aug  9 06:25:11 localhost kernel: iwl3945: ipw going down 
Aug  9 06:25:11 localhost kernel: iwl3945: Unhandled INTA bits 0x04000000
Aug  9 06:25:11 localhost kernel: iwl3945: Disabled INTA bits 0x04000000 were
pending
Aug  9 06:25:11 localhost kernel: iwl3945:    with FH_INT = 0x00000000
Aug  9 06:25:11 localhost kernel: iwl3945: Unhandled INTA bits 0x04000000
Aug  9 06:25:11 localhost kernel: iwl3945: Disabled INTA bits 0x04000000 were
pending
Aug  9 06:25:11 localhost kernel: iwl3945:    with FH_INT = 0x00000000
Aug  9 06:25:12 localhost kernel: wmaster0: Selected rate control algorithm
'iwl-3945-rs'
Aug  9 06:25:12 localhost kernel: usb 4-1: new full speed USB device using
uhci_hcd and address 3
Aug  9 06:25:12 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Aug  9 06:25:12 localhost NetworkManager: <info>  wlan0: Device is
fully-supported using driver 'iwl3945'.
Aug  9 06:25:12 localhost NetworkManager: <info>  nm_device_init(): waiting for
device's worker thread to start
Aug  9 06:25:12 localhost NetworkManager: <info>  nm_device_init(): device's
worker thread started, continuing.
Aug  9 06:25:12 localhost NetworkManager: <info>  Now managing wireless (802.11)
device 'wlan0'.
Aug  9 06:25:12 localhost NetworkManager: <info>  Deactivating device wlan0.
Aug  9 06:25:12 localhost NetworkManager: <info>  nm-netlink-monitor.c -
nm_netlink_monitor_event_handler (724) netlink reports device wlan0 link now 1
Aug  9 06:25:12 localhost NetworkManager: <info>  nm-netlink-monitor.c -
nm_netlink_monitor_event_handler (724) netlink reports device wlan0 link now 0
Aug  9 06:25:12 localhost kernel: usb 4-1: configuration #1 chosen from 1 choice
Aug  9 06:25:12 localhost kernel: Bluetooth: Core ver 2.11
Aug  9 06:25:12 localhost kernel: NET: Registered protocol family 31
Aug  9 06:25:12 localhost kernel: Bluetooth: HCI device and connection manager
initialized
Aug  9 06:25:12 localhost kernel: Bluetooth: HCI socket layer initialized
Aug  9 06:25:12 localhost kernel: Bluetooth: HCI USB driver ver 2.9
Aug  9 06:25:12 localhost kernel: usbcore: registered new interface driver hci_usb
Aug  9 06:25:14 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.KillSwitch.NotSupported - Access type not
supported



Comment 2 Orion Poplawski 2007-08-13 16:31:52 EDT
I get these all the time on a F-7 system too:

Aug 13 13:11:01 moa NetworkManager: <info>  Error getting killswitch power:
org.freedesktop.Hal.Device.UnknownError - An Error occurred. The Error message
is:    Could not open file /sys/devices/platform/dcdbas/smi_data. Check that
dcdbas driver is properly loaded.
Comment 3 Tom London 2007-09-12 10:38:38 EDT
Running latest Rawhide (2.6.23-0.174.rc6.fc8), the message has morphed a bit:

Sep 12 07:23:46 localhost NetworkManager: <info>  Error getting killswitch
power: org.freedesktop.Hal.Device.KillSwitch.NotSupported -
hal-ipw-killswitch-linux returned 255
Sep 12 07:24:52 localhost NetworkManager:last message repeated 11 times
Sep 12 07:25:53 localhost NetworkManager:last message repeated 10 times
Sep 12 07:26:59 localhost NetworkManager:last message repeated 11 times
Sep 12 07:28:05 localhost NetworkManager:last message repeated 11 times

I continue to get hundreds of these (about 10 per minute).
Comment 4 Tom London 2007-09-19 18:33:52 EDT
Morphed again:

Sep 19 13:32:00 localhost NetworkManager: <info>  Error getting killswitch power
arguments: org.freedesktop.DBus.Error.InvalidArgs - Argument 0 is specified to
be of type "uint32", but is actually of type "int32"#012
Comment 5 Tom London 2007-11-18 19:44:05 EST
I now see:

Nov 18 16:29:57 localhost NetworkManager: <info>  Found radio killswitch
/org/freedesktop/Hal/devices/ipw_wlan_switch

Close?
Comment 6 Dan Williams 2007-12-09 21:51:01 EST
fixed upstream for a while in 0.7; just committed a fix to upstream 0.6.x for
this as well

Note You need to log in before you can comment on or make changes to this bug.